{ stdenv, fetchFromGitHub }:

[
  (stdenv.mkDerivation {
    name = "vim-sensible";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sensible";
      rev = "226203be173bf0b95ee2a5cb6575ae604b3f9f7a";
      sha256 = "0hi64zsg2acrmzshmvrmgjqd7wjgghpggw0rmjx8kd7vwcmwvfcl";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "vim-sleuth";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sleuth";
      rev = "1d25e8e5dc4062e38cab1a461934ee5e9d59e5a8";
      sha256 = "1nb90zm9jc2mq5fxbxifrmhkpjs3a5y68amr3f99rxfd0197jxcs";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "vim-fugitive";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-fugitive";
      rev = "66a921bbe38bea19f6b581c8a56d5a8a41209e35";
      sha256 = "0p2hs22y0h1cbhiwhadci4n2vj5h1nsh9hasy3jxzx38s8kksbzl";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "vim-rhubarb";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-rhubarb";
      rev = "cad60fe382f3f501bbb28e113dfe8c0de6e77c75";
      sha256 = "1c456ypxgjnmbprjl79kvg5vm26nws0csw8fbs6gmdr21m3x1p4w";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "vim-surround";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-surround";
      rev = "bf3480dc9ae7bea34c78fbba4c65b4548b5b1fea";
      sha256 = "07wk87xiri44h5k3higiw9wfp516fflhq2xyrgm5hkxs3nnnx6la";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "vim-abolish";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-abolish";
      rev = "3f0c8faadf0c5b68bcf40785c1c42e3731bfa522";
      sha256 = "1w9zim2v1av3f43z8q7zh0ia8dgjxjwnvmzd4j3y25vy25avn0lb";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "undotree";
    src = fetchFromGitHub {
      owner = "mbbill";
      repo = "undotree";
      rev = "bfc9b060c9e84497b15b4d602095ba008383b664";
      sha256 = "1w2r73a73zjbgfnkcnq2xlk2k0fw1zdjqrhigs6bp3ni3335dhjq";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "telescope.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope.nvim";
      rev = "75a5e5065376d9103fc4bafc3ae6327304cee6e9";
      sha256 = "1dkh69kwyjmksbl1hi33mik1wf2cljmkaq0h1imk075x26l1zym2";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "telescope-fzf-native.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope-fzf-native.nvim";
      rev = "6a33ecefa9b3d9ade654f9a7a6396a00c3758ca6";
      sha256 = "1ssznk16fhnqsp2kwff48ccbrgw2cbaxjhbj6wzap9cbw78kxpf9";
    };

    dontBuild = false;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "plenary.nvim";
    src = fetchFromGitHub {
      owner = "nvim-lua";
      repo = "plenary.nvim";
      rev = "31807eef4ed574854b8a53ae40ea3292033a78ea";
      sha256 = "1vkyqrk0shpc076rq1s7rwldmcmw2k96hcpifligrsplr170kkhv";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "mini.nvim";
    src = fetchFromGitHub {
      owner = "echasnovski";
      repo = "mini.nvim";
      rev = "55618446b0bb4d3ed37ff7f9f8cf6db56d34e139";
      sha256 = "0b1kqmdkgy3kdx3gbbs3vqbkbl92jxcmyz8hin0z2vryiynpimxb";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "gitsigns.nvim";
    src = fetchFromGitHub {
      owner = "lewis6991";
      repo = "gitsigns.nvim";
      rev = "9c3ca027661136a618c82275427746e481c84a4e";
      sha256 = "089nqxs54x5bi55zkdynln32xvq9jfadlp95l85dal6c5nmn7yyi";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "nvim-lspconfig";
    src = fetchFromGitHub {
      owner = "neovim";
      repo = "nvim-lspconfig";
      rev = "06744ba3783ce2d502838f988dec95378543f5d7";
      sha256 = "1hlwxm97wri9w40m1d90j9spzs29mi5xjr7iw86dvhhs2pa8xln4";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "nvim-treesitter-textobjects";
    src = fetchFromGitHub {
      owner = "nvim-treesitter";
      repo = "nvim-treesitter-textobjects";
      rev = "b8df8b07b4ec2fea8af606004c952b1881402b1e";
      sha256 = "03hrhwsn97229fxd3yxkcgfpcjf0s6agg4kbaxrcw36w181wx53s";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "typescript.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "typescript.nvim";
      rev = "4f362c92c1f2f41c9bb13e72106b8719ae3ff379";
      sha256 = "0g38l0bdz8afixj34pap6ig2sd82qxggzj5kgak258g0ng0jlhyj";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "null-ls.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "null-ls.nvim";
      rev = "4f9fd416ef682121ebc9e7e5d5fc3f319aa5e64f";
      sha256 = "1hy7gpvij2lvqm65sn4yi9w6b1zw61nnsagv3yvcal6y38f44231";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "fidget.nvim";
    src = fetchFromGitHub {
      owner = "j-hui";
      repo = "fidget.nvim";
      rev = "492492e7d50452a9ace8346d31f6d6da40439f0e";
      sha256 = "1s3qv09gbsjjmqkb85hc4832j18hd21j37rg4iqks0a4n2z5yi4b";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
  (stdenv.mkDerivation {
    name = "sonokai";
    src = fetchFromGitHub {
      owner = "sainnhe";
      repo = "sonokai";
      rev = "106c0a19e30aa3544aad760bc8c1bd552d62326c";
      sha256 = "0r08ybpivaqlpxwgzmi2yl7q172h5y7cfrhf7rjq4w309n1yhhf3";
    };

    dontBuild = true;

    installPhase = ''
      cp -r . $out
    '';
  })
]
